package com.palmnest.application.dto.output;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import com.palmnest.application.dto.output.enterprise.OpenedFunctionOutDto;
import com.palmnest.model.dinner.IntegralRecodeInfo;
import com.palmnest.model.estateserve.UserImageInfo;

public class AppUserDinDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -4903502960046733508L;
	
	private String mobile;
	private String userName;
	private String orgId;
	private String passType;//通行方式
	private Integer integrale;
	private String dept;
	private String deptStr;
	private String address;
	private String addressStr;
	private String roleType;
	private List<IntegralRecodeDto> recodeList;
	private List<UserImageInfo> facePicList;
	private Integer virtualArchId;//企业id
	private String serveImgUrl;// 图片路径前缀
	
	private String userNumber;//工号
	private String userSex;//性别
	private String email;//邮箱
	
	private String orgName;
	private String virName;
	private String cardCode;
	private String cardCreateTime;//发卡时间

	private Long permId;// 权限ID
	private String permName;//权限名称
	private String funcListStr;//权限功能列表字符串
	
	private String groupName;//权限分组
	
	private Integer facePlusImageId;
	private String imageUrl01;

	private String pushState;

	public String getPushState() {
		return pushState;
	}

	public void setPushState(String pushState) {
		this.pushState = pushState;
	}

	public String getServeImgUrl() {
		return serveImgUrl;
	}

	public void setServeImgUrl(String serveImgUrl) {
		this.serveImgUrl = serveImgUrl;
	}

	public Integer getVirtualArchId() {
		return virtualArchId;
	}
	public void setVirtualArchId(Integer virtualArchId) {
		this.virtualArchId = virtualArchId;
	}
	public List<UserImageInfo> getFacePicList() {
		return facePicList;
	}
	public void setFacePicList(List<UserImageInfo> facePicList) {
		this.facePicList = facePicList;
	}
	public String getMobile() {
		return mobile;
	}
	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public Integer getIntegrale() {
		return integrale;
	}
	public void setIntegrale(Integer integrale) {
		this.integrale = integrale;
	}
	public String getDept() {
		return dept;
	}
	public void setDept(String dept) {
		this.dept = dept;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getRoleType() {
		return roleType;
	}
	public void setRoleType(String roleType) {
		this.roleType = roleType;
	}
	public List<IntegralRecodeDto> getRecodeList() {
		return recodeList;
	}
	public void setRecodeList(List<IntegralRecodeDto> recodeList) {
		this.recodeList = recodeList;
	}
	public String getOrgId() {
		return orgId;
	}
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}

	public String getDeptStr() {
		return deptStr;
	}

	public void setDeptStr(String deptStr) {
		this.deptStr = deptStr;
	}

	public String getUserNumber() {
		return userNumber;
	}

	public void setUserNumber(String userNumber) {
		this.userNumber = userNumber;
	}

	public String getUserSex() {
		return userSex;
	}

	public void setUserSex(String userSex) {
		this.userSex = userSex;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getVirName() {
		return virName;
	}

	public void setVirName(String virName) {
		this.virName = virName;
	}

	public String getPermName() {
		return permName;
	}

	public void setPermName(String permName) {
		this.permName = permName;
	}

	public String getFuncListStr() {
		return funcListStr;
	}

	public void setFuncListStr(String funcListStr) {
		this.funcListStr = funcListStr;
	}

	public Long getPermId() {
		return permId;
	}

	public void setPermId(Long permId) {
		this.permId = permId;
	}

	public String getPassType() {
		return passType;
	}

	public void setPassType(String passType) {
		this.passType = passType;
	}

	public String getAddressStr() {
		return addressStr;
	}

	public void setAddressStr(String addressStr) {
		this.addressStr = addressStr;
	}

	public String getGroupName() {
		return groupName;
	}

	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}

	public Integer getFacePlusImageId() {
		return facePlusImageId;
	}

	public void setFacePlusImageId(Integer facePlusImageId) {
		this.facePlusImageId = facePlusImageId;
	}

	public String getImageUrl01() {
		return imageUrl01;
	}

	public void setImageUrl01(String imageUrl01) {
		this.imageUrl01 = imageUrl01;
	}

	public String getCardCreateTime() {
		return cardCreateTime;
	}

	public void setCardCreateTime(String cardCreateTime) {
		this.cardCreateTime = cardCreateTime;
	}

	public String getCardCode() {
		return cardCode;
	}

	public void setCardCode(String cardCode) {
		this.cardCode = cardCode;
	}
	
}
